Skip to Content
Cloud One
  • Products

    Business Communication Suite & Phone System


      By Edition

      ​Cloud

      Software

      Appliance

    By Deployment

    ​On-premise

    Hosted by Cloud One

    Self-hosted

    By Management

    ​Managed By Cloud One

    Semi-Managed by Cloud One

    Self-Managed


    Simu Connect UC Clients


    Simu Connect Web Client Simu Connect Mobile Client Simu Connect Desktop ClientSimu Connect Chrome ExtensionSimu Connect TAPI Integration

    SIP Trunks


    Business SIPPay As You Go SIP Country Presence SIPVirtual Phone NumbersGolden Phone NumbersToll Free NumbersBring Your Own Carrier (BYOC)Calling RatesTalktime Top-up

    Get a Proof of Concept Now!


    Simu Connect POC Application Managed Business Communication Suite Self Managed Business Communication SuiteSIP Trunk POCOdoo Phone POC
  • Solutions

    Business Needs


    Work from Anywhere Hosted UCaaS Self hosted UCaaSVideo ConferencingAppliance PBXAI-powered Cloud PBXWhite-label Solution

    Industry


    Call Center Healthcare HospitalityFinanceEducationLogisticsRetail BusinessGovernment Agency

    Ecosystem


    IP Phones SIP Trunks IntegrationHeadsetsVirtual Phone Numbers

    By Integration


    Odoo Phone System Zoho Phone System Salesforce Phone SystemMicrosoft Dynamics Phone SystemZendesk Phone SystemFreshdesk Phone SystemBitrix24 Phone SystemHubSpot Phone System
  • Resources

    Downloads

    Download user guides and more documents

    Book a Meeting

    Schedule a meeting at your convenience

    Developer Guide

    Read API Documentation for Cloud One BCS API

    Business Communication Suite

    Experience our user-friendly business communication suite today. Explore robust telephony features that enhance your client connections efficiently.  

    See More Details
  • Devices

    Yealink IP Phones


    Yealink T3 Series IP Phones Yealink T4 Series IP Phones Yealink T5 Series IP PhonesYealink T7 Series IP PhonesYealink T8 Series IP Phones Yealink DECT IP Phones

    Voice Conferencing Solutions


    VC Room Systems BYOD Solutions Video Phone Video Conferencing Accessories

    Microsoft Solutions


    MS Teams Rooms Systems Microsoft Phones Conference Phones HeadsetsYealink MeetingBoardYealink MeetingBoard Pro

    Zoom Rooms


    Zoom Rooms Systems Zoom Phones Zoom Cameras BYOD Solutions
  • Help

    Ticketing System


    Submit a Helpdesk TicketReport an Issue

    Training


    User TrainingOperator TrainingCall Center Agent TrainingSupervisor Training

    Frequently Asked Questions


    General FAQBCS FAQSIP Trunks FAQLocal Phone Numbers FAQ

    Contact Us


    WhatsApp Icon


  • Support Helpdesk Contact
  • +254 20 790 0100
  • support@cloudone.co

  • Accounts Helpdesk Contact
  • +254 20 790 0000
  • finance@cloudone.co
  • Visit our Office


    Cloud One Ltd

    Saachi Plaza - Unit A3, Argwings Kodhek Road, Nairobi, Kenya
    P.O.Box 76484-00508 Yaya Centre

    +254 20 790 0000

    hello@cloudone.co


    Kindly do not email multiple contacts as it creates multiple tickets on our CRM


  • Contact Us
  • Blog
    ​​
  • Sign in
  • 0
  • 0
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
Cloud One
  • 0
  • 0
    • Products
    • Solutions
    • Resources
    • Devices
    • Help
    • Contact Us
    • Blog
  • Deploy in hours Certified Experts Zero Setup / License Fees*
  • Follow us
    Click here to setup your social networks
    Click here to setup your social networks
  • Sign in
  • ​​

Query Configuration Options for Auto Provisioning

Query the information of configuration options required when adding IP phone(s) for auto provisioning.

Request URL

GET {base_url}/{api_path}/auto_provisioning/compatibility?access_token={access_token}

Request parameters

ParameterRequiredTypeDescription
menuYesStringThe configuration option that you want to query.
Valid value:
  • phone_vendor: Phone vendor
  • phone_model: Phone model
  • phone_template: Available provisioning template of the phone
  • autop_method: Supported auto provisioning method of the phone
vendorNoStringPhone vendor.
Note: This parameter is required when querying phone_model and autop_method.
modelNoStringPhone model.
Note: This parameter is required when querying phone_template and autop_method.

Response parameters

ParameterTypeDescription
errcodeIntegerReturned error code.
  • 0: Succeed.
  • Non-zero value: Failed.
Note: You can check the error code and error message in Error Code and Error Message.
errmsgStringReturned message.
  • SUCCESS: Succeed.
  • FAILURE: Failed.
dataArray<Option_Info>The information of the available options.

Option_Info

ParameterTypeDescription
textStringThe name of the available option.
Note:This parameter returns the provisioning link when querying auto provisioning method.
valueStringThe value of the available option.
typeStringThe type of the available option.

Examples

  • Query supported phone vendors
  • Query supported phone models of a specific phone vendor
  • Query available provisioning template for a specific phone model
  • Query supported auto provisioning method of a specific phone model

Query supported phone vendorsQuery the information of available phone vendors.Request example

GET /openapi/v1.0/auto_provisioning/compatibility?access_token=Gm4Vj4CUq2GsfCprykiv0mE0KHNc52HV&menu=phone_vendor HTTP/1.1
Host: 192.168.5.150:8088
User-Agent: OpenAPI

Response example

HTTP/1.1 200 OK
{
    "errcode": 0,
    "errmsg": "SUCCESS",
    "data": [
        {
            "text": "Alcatel-Lucent Enterprise",    //Phone vendor name
            "value": "Ale",                         //Phone vendor parameter value
            "type": "Deskphone"                     //Phone type
        },
        ... ...
       {
            "text": "Yealink",
            "value": "Yealink",
            "type": "Deskphone"
        }
    ]
}

Query supported phone models of a specific phone vendorQuery the information of the supported Yealink phones.Request example

GET /openapi/v1.0/auto_provisioning/compatibility?access_token=fy59UJHFHJvOMthVlQM4z9sq6gFHcZVn&menu=phone_model&vendor=Yealink HTTP/1.1
Host: 192.168.5.150:8088
User-Agent: OpenAPI

Response example

HTTP/1.1 200 OK
{
    "errcode": 0,
    "errmsg": "SUCCESS",
    "data": [
        {
            "text": "CP920",               //Phone model name
            "value": "CP920",              //Phone model parameter value
            "type": "Conferencephone"      //Phone type
        },
         ... ...
        {
            "text": "SIP-W80DM",
            "value": "SIP-W80DM",
            "type": "DECT"
        },
         ... ...
        {
            "text": "VP59",
            "value": "VP59",
            "type": "Deskphone"
        }
    ]
}

Query available provisioning template for a specific phone modelQuery the information of the provisioning template for Yeastar phone CP920.Request example

GET /openapi/v1.0/auto_provisioning/compatibility?access_token=fy59UJHFHJvOMthVlQM4z9sq6gFHcZVn&menu=phone_template&model=CP920 HTTP/1.1
Host: 192.168.5.150:8088
User-Agent: OpenAPI

Response example

HTTP/1.1 200 OK
{
    "errcode": 0,
    "errmsg": "SUCCESS",
    "data": [
        {
            "text": "YSDP_YealinkCP",   //Template name
            "value": "24"               //The unique ID of the template
        }
    ]
}

Query supported auto provisioning method of a specific phone modelQuery the information of the provisioning method for Yealink phone CP920.Request example

GET /openapi/v1.0/auto_provisioning/compatibility?access_token=fy59UJHFHJvOMthVlQM4z9sq6gFHcZVn&menu=autop_method&vendor=Yealink&model=CP920 HTTP/1.1
Host: 192.168.5.150:8088
User-Agent: OpenAPI

Response example

HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"data": [
{
"text": "http://192.168.5.150:7778/api/autoprovision/H70R1oiPnlJCnp6L", //provisioning link
"value": "pnp" //provisioning method
},
{
"text": "http://192.168.5.150:7778/api/autoprovision/H70R1oiPnlJCnp6L",
"value": "dhcp"
},
{
"text": "https://112.57.75.183:18207/api/autoprovision/H70R1oiPnlJCnp6L",
"value": "rps",
"type": "full"
},
{
"text": "https://cloudonedocs.ras.cloudone.co:443/api/autoprovision/H70R1oiPnlJCnp6L",
"value": "rps_fqdn",
"type": "full"
}
]
}
Useful Links
  • Home
  • About us
  • Products
  • Services
  • Shipping
  • Return Policy
  • Warranty
  • Contact us
Legal
  • Terms
  • Privacy
  • Shared Responsibility
    Service Level Agreement
  • Certifications
About us

Cloud One Limited is a leading Kenyan local telephony service provider. Established in 2017, we offer reliable and secure cloud and on premise business communication solutions, including SIP trunks, Yealink IP phones, and VPS hosting in our Tier 3 data center.


Our mission is to revolutionize cloud communications by providing unparalleled reliability, cutting-edge innovation, and substantial cost savings. We deliver a stress-free, always-available service experience that empowers businesses to thrive in the digital age.

DUNS Registration Number: 561230946
Company Registration Number: PVT-5JUEYMA
Licensed & Regulated by the Communications Authority of Kenya


Follow us
Connect with us
  • Contact us
  • hello@cloudone.co
  • +254 20 7900000
  • Saachi Plaza, UNIT A3 - Argwings Kodhek Rd
Download Simu Connect

    Get the app on the playstore

    Download desktop app for Windows​

    Download app from the appstore

    Download MacOS app